ANSIBLE.USER(3)

NAME
user - Manage user accounts

DESCRIPTION

Manage user accounts and user attributes.

OPTIONS

append
    If yes, will only add groups, not set them to just the list in groups.

comment
    Optionally sets the description (aka GECOS) of user account.

createhome
    Unless set to no, a home directory will be made for the user when the account is created. Choices: yes,no. (default: yes)

force
    When used with state=absent, behavior is as with userdel --force. Choices: yes,no. (default: no)

generate_ssh_key
    Whether to generate a SSH key for the user in question. This will not overwrite an existing SSH key. Choices: yes,no. (default: no)(Added in Ansible version 0.9.)

group
    Optionally sets the user's primary group (takes a group name).

groups
    Puts the user in this comma-delimited list of groups. When set to the empty string ('groups='), the user is removed from all groups except the primary group.

home
    Optionally set the user's home directory.

name
    Name of the user to create, remove or modify.(required)

non_unique
    Optionally when used with the -u option, this option allows to change the user ID to a non-unique value. Choices: yes,no. (default: no)(Added in Ansible version 1.1.)

password
    Optionally set the user's password to this crypted value. See the user example in the github examples directory for what this looks like in a playbook.

remove
    When used with state=absent, behavior is as with userdel --remove. Choices: yes,no. (default: no)

shell
    Optionally set the user's shell.

ssh_key_bits
    Optionally specify number of bits in SSH key to create. (default: 2048)(Added in Ansible version 0.9.)

ssh_key_comment
    Optionally define the comment for the SSH key. (default: ansible-generated)(Added in Ansible version 0.9.)

ssh_key_file
    Optionally specify the SSH key filename. (default: $HOME/.ssh/id_rsa)(Added in Ansible version 0.9.)

ssh_key_passphrase
    Set a passphrase for the SSH key. If no passphrase is provided, the SSH key will default to having no passphrase.(Added in Ansible version 0.9.)

ssh_key_type
    Optionally specify the type of SSH key to generate. Available SSH key types will depend on implementation present on target host. (default: rsa)(Added in Ansible version 0.9.)

state
    Whether the account should exist. When absent, removes the user account. Choices: present,absent. (default: present)

system
    When creating an account, setting this to yes makes the user a system account. This setting cannot be changed on existing users. Choices: yes,no. (default: no)

uid Optionally sets the UID of the user.."

EXAMPLES

Add the user 'johnd' with a specific uid and a primary group of 'admin'
user: name=johnd comment="John Doe" uid=1040

Remove the user 'johnd'
user: name=johnd state=absent remove=yes

Create a 2048-bit SSH key for user jsmith
user: name=jsmith generate_ssh_key=yes ssh_key_bits=2048
None

AUTHOR
Stephen Fromm

SEE ALSO
ansible(1), http://ansible.github.com/modules.html#user